Magisk General Support / Discussion

Zeuszoos

Senior Member
Aug 9, 2012
1,072
206
93
Hi,

I have Googled it and searched more, but I cannot find any definition of it and I'm wanting to apply the available update, but I don't know if I should check the following box or not during the update process:

"Preserve AVB 2.0/dm-verity checked"

What is that? What does it actually do?

Thanks!
 
  • Like
Reactions: J.Michael

zgfg

Senior Member
Oct 10, 2016
4,831
2,139
233
Can we downgrade magisk beta to stable? Without issues? 🤔
If you have your img patched by older version you can flash that older patched img and voila

If you swithch Update channel from Beta to Stable, you don't gain anything since both are now on v21.3

You probably want to go back v20.4 but I would not recommend flashing it over v21.x

In that case you should start with Magisk not installed and then do clean install of v20.4
 

IlyaKol

Senior Member
Aug 21, 2013
467
151
73
Albany, NY
For anyone Googling...

P5 here that was 'converted' to a P3a via MagiskHide Props Config. I then had to download safetynet-fix-v1.1.1 and hardwareoff_1.1 and install both of them to get tests to pass and GPay to start working again.

EDIT: I am on Jan. update with Magisk 2f5331ab (21301 and Manager 8.0.6 (4828) installed according to the manager.
 
  • Like
Reactions: J.Michael

thomas140

Senior Member
Jul 3, 2018
641
139
43
Johor
For anyone Googling...

P5 here that was 'converted' to a P3a via MagiskHide Props Config. I then had to download safetynet-fix-v1.1.1 and hardwareoff_1.1 and install both of them to get tests to pass and GPay to start working again.

EDIT: I am on Jan. update with Magisk 2f5331ab (21301 and Manager 8.0.6 (4828) installed according to the manager.
I heard about safetynet fix, but not hardwareoff module. Do you have the link? Because I have some app like ocbc bank Singapore and some Singapore government apps still able to detect the root even thought it is CTS profile true.
 

zgfg

Senior Member
Oct 10, 2016
4,831
2,139
233
[/QUOTE]
I heard about safetynet fix, but not hardwareoff module. Do you have the link? Because I have some app like ocbc bank Singapore and some Singapore government apps still able to detect the root even thought it is CTS profile true.
If you search in this thread you will find hardwareoff. It was developed by displax and later incorporated to MHPC as Force Basic (now removed from MHPC)

But guys, you can use MHPC, Edit custom prop and set ro.product.model to whatever value you want (that is essentially what hardwarwoff was doing) - but that fakes your phone model to something else and don't expect it would help to your banking app

If you already pass SafetyNet but banking app detects root, do your homework, go to Magisk Github, open Wiki, find and read the whole chapter about apps detecting root with hints how you can try to prevent

But that is the cat and mice game, there will be always a new app using a new trick detecting (or just guessing) the root
 
Last edited:

2ISAB

Senior Member
Jul 20, 2017
548
207
53
Mhz
forum.xda-developers.com
IF ANY ONE IS HAVING ISSUES WITH BANKING OR PAYPAL ETC APPS

Uninstall Bromite webview
Uninstall System Webview Switcher
In Magisk.
Install original system webview on Google Play
If you are still having problems, clone the app to skip native libaries & Hide root with

 

pndwal

Senior Member
Jun 23, 2016
1,853
1,040
113
Sydney
The bleeding edge is moving fast! ...

Latest Canary:
5hrs ago

Magisk (f5c2d724) (21302)
- Add more details in logs

Magisk Manager (f5c2d724) (4829)
- Fix version string

1 HR ago

Magisk (b5b62e03) (21303)
- Fix magiskhide ls broken pipe issue

Magisk Manager (b5b62e03) (4831)
- Fix copySepolicyRules logic error

Anyone keeping up? 😃 PW
 
Last edited:

pndwal

Senior Member
Jun 23, 2016
1,853
1,040
113
Sydney
... But working on the bleeding edge... That might exact sweat, blood and tears!
---------------------------
Pinned Tweet
John Wu, 18h

New update: Magisk v21.3, along with Magisk Manager v8.0.6, directly to the stable channel! This release adds a workaround for a F2FS Linux kernel bug that caused widespread bootloops on many devices

John Wu, 7h

Android's fragmentation is getting on my nerves. ALL THE FREAKING TIME everything is working for me, and OF COURSE there is devices out there with features broken. ALWAYS. And sometimes just like the F2FS bug, it's not even my problem.

Seriously burnt out now, lost motivation

And these issues NEVER came to me before I release to the stable channel, as if beta and canary channels are a *@#£&;* joke

John Wu, 6h

PSA: EdXposed is removed from Magisk Repo due to consistent poor maintenance quality. The maintainer refuse to accept advices, and the one on the repo does not even work with the latest Riru version.

One day, one day I will bring back java code injection strong...

I will close down any issues reported to Magisk if you are using EdXposed. There are just too many issues, and if you chose to go that route, you are on your own. Don't expect me to spend time fixing some broken modules.
--------------------------
But we do appreciate your sacrifices John, and feel for you... Not sure about those bleedin' EdXposed modders though... (spare a thought). PW
 
Last edited:

zgfg

Senior Member
Oct 10, 2016
4,831
2,139
233
The bleeding edge is moving fast! ...

Latest Canary:
5hrs ago

Magisk (f5c2d724) (21302)
- Add more details in logs

Magisk Manager (f5c2d724) (4829)
- Fix version string

1 HR ago

Magisk (b5b62e03) (21303)
- Fix magiskhide ls broken pipe issue

Magisk Manager (b5b62e03) (4831)
- Fix copySepolicyRules logic error

Anyone keeping up? 😃 PW
Nice to have all those new versions but starting with Canary 21202 (hence present also in Stable 21.3), besides that I cannot use Viper4Android anymore, people from varios phones (me also) report never-ending Vanced YT installation issue

One can say, problems are not in Magisk, who cares, fix on the other sides but for the matter of fact, neither V4A nor Vanced changed - issues started with Magisk upgrades

Now I also jumped to the bandwagon of those reverting Magisk to have properly A11, V4A and YT Vanced, and ignoring all the shiny Magisk upgrades - don't change if it ain't broken
 

Didgeridoohan

Forum Moderator / Developer Relations
Staff member
May 31, 2012
11,224
11,255
263
Gothenburg
One can say, problems are not in Magisk, who cares, fix on the other sides but for the matter of fact, neither V4A nor Vanced changed - issues started with Magisk upgrades

I also jumped to the bandwagon of those reverting Magisk to have properly A11, V4A and YT Vanced
But if everyone just reverts to old Magisk releases, how will @topjohnwu receive the information needed for a possible fix?
 

akxak

Senior Member
Mar 2, 2006
528
110
78
Bonn, DEU
Being on 21.2 and after getting the notification of Magisk 21.3 release, I tried to install it via Magisk Manager 8.0.6, which I updated this morning.
Tapping the update button, I selected "direct install (recommended)".

After confirming, Magisk Manager downloads 21.3 but stops in the screen "Download completed" and nothing more happens. There is no file in the designated download directory (in opposite to the "download only zip" option.

Any hints or more information necessary? I yet wait so I can dig out further information.

Later... when I try to install 21.3 manually, (first download, then install by selecting the file) MagiskManager reports "unsupported/unknown boot image format" and the installation fails.

Code:
- Device platform: arm64-v8a
- Magisk Manager: 8.0.6 (4826)
- Install target: 21.3 (21300)
- Copying image to cache
2026+0 records in
2026+0 records out
2074624 bytes (2.0MB) copied, 0.016579 seconds, 119.3MB/s
1381+1 records in
1381+1 records out
1415016 bytes (1.3MB) copied, 0.014024 seconds, 96.2MB/s
- Unpacking boot image
Parsing boot image: [/data/user_de/0/com.Q3AHqaD.X6Ko24Rr/install/boot.img]
! Unsupported/Unknown image format
! Installation failed
 
Last edited:

vfool

Member
Nov 14, 2010
6
1
23
Hello, i had an older version of magisk and yesterday did the upgrade to latest, after that with adguard on there are no internet connections. The internet gets back only if i disable adguard. Before the magisk upgrade was all ok.
Is there an explanation ?
 

pndwal

Senior Member
Jun 23, 2016
1,853
1,040
113
Sydney
... Don't know if I can keep up either!

Canary Updates:

3 hrs ago

Magisk (1f4c595c) (21304)
- Revert su -c to old behavior. Should fix a few root apps

2 hrs ago

Magisk (79140c76) (21305)
- Proper xxread and xwrite implementation

PW
 
  • Like
Reactions: dr4go

asripath

Senior Member
Jul 12, 2020
68
31
18
... Don't know if I can keep up either!

Canary Updates:

3 hrs ago

Magisk (1f4c595c) (21304)
- Revert su -c to old behavior. Should fix a few root apps

2 hrs ago

Magisk (79140c76) (21305)
- Proper xxread and xwrite implementation

PW
Looks like HE is in the ZONE

Let it flow...
maybe we can get lucky and
find a fix for the current safetynet woes.
 

asripath

Senior Member
Jul 12, 2020
68
31
18
Nice to have all those new versions but starting with Canary 21202 (hence present also in Stable 21.3), besides that I cannot use Viper4Android anymore, people from varios phones (me also) report never-ending Vanced YT installation issue

One can say, problems are not in Magisk, who cares, fix on the other sides but for the matter of fact, neither V4A nor Vanced changed - issues started with Magisk upgrades

Now I also jumped to the bandwagon of those reverting Magisk to have properly A11, V4A and YT Vanced, and ignoring all the shiny Magisk upgrades - don't change if it ain't broken
V4A and YTV did change to adopt to A11.

Aren't this A11 adoption issues ?

V4A and YTV do work with workarounds.

YTV with non-root installs &
V4A with non-root driver install and apk install such as
 

tqwzUX6fn39GZMEzSnDF

Senior Member
Oct 31, 2015
226
51
48
IF ANY ONE IS HAVING ISSUES WITH BANKING OR PAYPAL ETC APPS

Uninstall Bromite webview
Uninstall System Webview Switcher
In Magisk.
Install original system webview on Google Play
If you are still having problems, clone the app to skip native libaries & Hide root with

How to delete that in Magisk?
 
  • Like
Reactions: 2ISAB

KB!

Senior Member
Feb 15, 2013
251
25
48
Just posting this here to try and help.

I have a Samsung S9+ G9650 rooted and running @Krog18 Note ROM.

I updated to Magisk 21.3 and my (root) Button Mapper app stopped working. I use it to turn the flashlight on and take screen shots.

I had to flash an older version of Magisk (20.4) to get the app to work again.

Not sure what the issue is, just wanted to post this here hoping it helps.